Subject: Subject: Re: PPCboot and latest kernel

From: Mike Ditto <[email-masked]>
Date: Mon, 27 Jul 2009 16:06:42 -0700

vijay sharma wrote:
> Linux/PowerPC load:
> Finalizing device tree... flat tree at 0x2f65300 <== Beyond this point no
> output is available.

I have found that on my MPC8272 system running 2.6.28 & cuImage, the
/chosen/linux,stdout-path node is respected by the boot wrapper, but the
main kernel always uses the first serial port mentioned in the device
tree as the console.  If you have multiple serial ports in your .dts,
try re-ordering them.

					-=] Mike [=-